API · Manage · Documents
Add a data room doc.
Add a document or external link to a DataRoom under a named category folder. Captures category, title, and an optional URL (omit url to attach a Matter-hosted document via the documents surface). Idempotent on Idempotency-Key. Manage-phase.
Last updated
Path Parameters
idstringRequiredRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
categorystringRequiredtitlestringRequiredurlstring<uri>OptionalResponse Body
application/problem+json
Request
curl -X POST "https://api.mattermode.com/v1/data_rooms/string/docs" \ -H "Content-Type: application/json" \ -d '{ "category": "string", "title": "string" }'const body = JSON.stringify({ "category": "string", "title": "string"})fetch("https://api.mattermode.com/v1/data_rooms/string/docs", { method: "POST", headers: { "Content-Type": "application/json" }, body})package mainimport ( "fmt" "net/http" "io/ioutil" "strings")func main() { url := "https://api.mattermode.com/v1/data_rooms/string/docs" body := strings.NewReader(`{ "category": "string", "title": "string" }`) req, _ := http.NewRequest("POST", url, body) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := ioutil.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body))}import requestsheaders = { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b",}payload = { "category": "example", "title": "example"}resp = requests.post( "https://api.mattermode.com/v1/data_rooms/id_placeholder/docs", headers=headers, json=payload,)resp.raise_for_status()print(resp.json())import java.net.URI;import java.net.http.HttpClient;import java.net.http.HttpRequest;import java.net.http.HttpResponse;import java.net.http.HttpResponse.BodyHandlers;import java.time.Duration;import java.net.http.HttpRequest.BodyPublishers;var body = BodyPublishers.ofString("""{ "category": "string", "title": "string"}""");HttpClient client = HttpClient.newBuilder() .connectTimeout(Duration.ofSeconds(10)) .build();HttpRequest.Builder requestBuilder = HttpRequest.newBuilder() .uri(URI.create("https://api.mattermode.com/v1/data_rooms/string/docs")) .header("Content-Type", "application/json") .POST(body) .build();try { HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString()); System.out.println("Status code: " + response.statusCode()); System.out.println("Response body: " + response.body());} catch (Exception e) { e.printStackTrace();}using System;using System.Net.Http;using System.Text;var body = new StringContent("""{ "category": "string", "title": "string"}""", Encoding.UTF8, "application/json");var client = new HttpClient();var response = await client.PostAsync("https://api.mattermode.com/v1/data_rooms/string/docs", body);var responseBody = await response.Content.ReadAsStringAsync();curl --request POST 'https://api.mattermode.com/v1/data_rooms/id_placeholder/docs' \ --header 'Authorization: Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc' \ --header 'Matter-Version: 2026-06-10' \ --header 'Idempotency-Key: ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b' \ --header 'Content-Type: application/json' \ --data '{ "category": "example", "title": "example"}'const response = await fetch("https://api.mattermode.com/v1/data_rooms/id_placeholder/docs", { method: "POST", headers: { "Authorization": "Bearer sk_test_4eC39HqLyjWDarjtT1zdp7dc", "Matter-Version": "2026-06-10", "Idempotency-Key": "ee7c3a9b-3f1a-4d8e-9b2a-7c5e1f0a2d4b", "Content-Type": "application/json", }, body: JSON.stringify({ "category": "example", "title": "example" }),});if (!response.ok) { throw new Error(`Matter API ${response.status}: ${await response.text()}`);}const data = await response.json();console.log(data);Response
No example available.
{
"type": "https://mattermode.com/docs/errors/not_found",
"title": "Not found",
"status": 404,
"code": "not_found",
"detail": "No entity with id `ent_Nq3KcAbc` is visible to this token.",
"doc_url": "https://mattermode.com/docs/guides/errors#not_found",
"request_id": "req_Qw9xYz8A"
}